Subject: Re: [PATCH v2 05/10] ref-filter: add option to match literal pattern

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Jul 2015 09:43:06 -0700

Karthik Nayak <[email-masked]> writes:

> Since 'ref-filter' only has an option to match path names
> add an option for regular pattern matching.

There is nothing "regular" about the pattern matching you are
adding.

Everywhere else we use patterns on refs we call wildmatch(), which
is an enhanced implementation of fnmatch(3), and you are doing the
same in this new codepath.

Just drop that word from here (and if you said something similar in
the documentation, drop "regular" ffrom there as well).  It would
invite confusion with regular expression matching, which we will not
do for refs.